<template>
  <section id="limit">
    <i class="fas fa-triangle-exclamation"></i>
    <b-container class="px-md-0">
      <b-row>
        <b-col md="8">
          <div
            v-html="$t('hos.limit.desc', { icon: `<i class='fas fa-video fa-sm fc-g6'></i>` })"
          ></div>
          <ul class="list-unstyled row">
            <li class="col-6 col-lg-4">
              <a
                class="btn btn-sm btn-outline-secondary btn-block"
                :href="$t('link.cgu')"
              >
                <i class="fas fa-file-contract fa-fw"></i>
                <span v-html="$t('hos.limit.btn-cgu')"></span>
              </a>
            </li>
            <li class="col-6 col-lg-4">
              <a
                class="btn btn-sm btn-outline-secondary btn-block"
                :href="$t('link.moderation')"
              >
                <i :class="`${$t('icon.moderation')} fa-fw`"></i>
                <span v-html="$t('hos.limit.btn-moderation')"></span>
              </a>
            </li>
          </ul>
        </b-col>
      </b-row>
    </b-container>
  </section>
</template>

<style lang="scss">
#limit {
  background: var(--f-o2) linear-gradient(to bottom right, var(--f-o2), var(--f-o1));
  padding: 4rem 0;
  position: relative;

  .fa-triangle-exclamation { // as a background
    color: var(--f-o2);
    position: absolute;
    font-size: 14rem;
    right: 7rem;
    top: calc(50% - 7rem);

    @media (max-width: 992px) {
      font-size: 10rem;
      right: 5rem;
      top: calc(50% - 5rem);
    }

    @media (max-width: 768px) {
      right: calc(50% - 6rem);
    }
  }
}
</style>
